pwd=`pwd`
nhdir=$pwd/nethack
dol="$"
stryn="yn"
nhstart="clear\n./nethack\nwhile true; do\n\tread -p \"Restart NetHack? \" yn\n\tcase $dol$stryn in\n\t\t[Yy]* ) ./nhstart.sh; break;;\n\t\t[Nn]* ) exit;;\n\t\t* ) echo \"Please answer yes or no.\";;\n\tesac\ndone"
setctrl="cd $nhdir\nxmodmap -e \"keycode 37 = numbersign NoSymbol numbersign\"\nxmodmap -e \"keycode 64 = Alt_L S Alt_L\"\nxmodmap -e \"keycode 110 = Escape S Escape\"\nxmodmap -e \"keycode 112 = s less s\"\nxmodmap -e \"keycode 115 = space d space\"\nxmodmap -e \"keycode 117 = comma greater comma\"\nxmodmap -e \"keycode 111 = 8 9 8\"\nxmodmap -e \"keycode 113 = 4 7 4\"\nxmodmap -e \"keycode 114 = 6 3 6\"\nxmodmap -e \"keycode 116 = 2 1 2\"\nsh nhstart.sh\nxmodmap -e \"keycode  37 = Control_L NoSymbol Control_L\"\nxmodmap -e \"keycode  64 = Alt_L NoSymbol Alt_L\"\nxmodmap -e \"keycode 110 = Home NoSymbol Home\"\nxmodmap -e \"keycode 112 = Prior NoSymbol Prior\"\nxmodmap -e \"keycode 115 = End NoSymbol End\"\nxmodmap -e \"keycode 117 = Next NoSymbol Next\"\nxmodmap -e \"keycode 111 = Up NoSymbol Up\"\nxmodmap -e \"keycode 113 = Left NoSymbol Left\"\nxmodmap -e \"keycode 114 = Right NoSymbol Right\"\nxmodmap -e \"keycode 116 = Down NoSymbol Down\""
dsktop="[Desktop Entry]\nVersion=1.0\nEncoding=UTF-8\nType=Application\nName=NetHack 3.6.0\nComment=Dungeon Exploration\nCategories=Application\nExec=terminal --fullscreen --hide-menubar --hide-toolbars --hide-borders --execute $nhdir/set_ctrls.sh\nIcon=$pwd/nethack.png\nTerminal=true\nStartupNotify=false"
while true; do
	read -p "Did you extract me to $pwd ?`echo $'\n> '`" yn
	case $yn in
		[Yy]* ) echo -e $nhstart > $nhdir/nhstart.sh; echo -e $setctrl > $nhdir/set_ctrls.sh;
		while true; do
			read -p "Use NAO-based custom config file?`echo $'\n> '`" yn1
			case $yn1 in
				[Yy]* ) cp $pwd/config ~/.nethackrc;
				while true; do
					read -p "Create a desktop shortcut? Note: Needs sudo permission`echo $'\n> '`" yn2
					case $yn2 in
						[Yy]* ) sudo echo -e $dsktop > ~/Desktop/NetHack\ 3_6_0.desktop; break;;
						[Nn]* ) break;;
						* ) echo "Please answer yes or no.";;
					esac
				done
				break;;
				[Nn]* ) break;;
				* ) echo "Please answer yes or no.";;
			esac
		done
		break;;
		[Nn]* ) echo "Please cd to where you extracted me to, so you can ./setup.sh"; break;;
		* ) echo "Please answer yes or no.";;
	esac
done
echo "Setup complete. Thank you!"